Bug 241507 - Intel 3945 chipset w/ WPA2 doesn't work F7 RC2
Intel 3945 chipset w/ WPA2 doesn't work F7 RC2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
: 241968 242039 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-26 20:51 EDT by Matthew
Modified: 2007-11-30 17:12 EST (History)
9 users (show)

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 15:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel.org 2.6.21.3 config (49.51 KB, application/octet-stream)
2007-06-12 02:28 EDT, Matthew
no flags Details

  None (edit)
Description Matthew 2007-05-26 20:51:52 EDT
Description of problem:
knetworkmanager and my intel 3945 card don't work with WPA
Also, knetworkmanager has crashed and I cannot kill it via kill -sigkill

Version-Release number of selected component (if applicable):
Fedora 7 KDE LiveCD RC2
Using default settings, iwl3945 kernel module is loaded

How reproducible:
Right click on knetworkmanager, "Connect to other wireless network", enter 
information (WPA 2, AES). 

Connecting to wpa2 on my dd-wrt described as "WPA2 Pre-shared key 
mixed" "WPA-Shared Key"


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
It did detect another open router and show it but I didn't try connecting to 
it.
Perhaps the problem is that you need to include a way to enter the key and not 
just the passphrase?

https://www.redhat.com/archives/fedora-test-list/2007-April/msg00539.html
Maybe a little old, but seems to be similar.

I'd like to put this against:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=150225
Comment 2 Matthew 2007-05-26 21:03:42 EDT
dmesg output

Linux version 2.6.21-1.3194.fc7 
(kojibuilder@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.1.2 20070502 
(Red Hat 4.1.2-12)) #1 SMP Wed May 23 22:35:01 EDT 2007
BIOS-provided physical RAM map:
sanitize start
sanitize end
copy_e820_map() start: 0000000000000000 size: 000000000009f800 end: 
000000000009f800 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000000009f800 size: 0000000000000800 end: 
00000000000a0000 type: 2
copy_e820_map() start: 00000000000e0000 size: 0000000000020000 end: 
0000000000100000 type: 2
copy_e820_map() start: 0000000000100000 size: 000000003fd80000 end: 
000000003fe80000 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000003fe80000 size: 0000000000080000 end: 
000000003ff00000 type: 4
copy_e820_map() start: 000000003ff00000 size: 0000000000100000 end: 
0000000040000000 type: 2
copy_e820_map() start: 00000000e0000000 size: 0000000010000000 end: 
00000000f0000000 type: 2
copy_e820_map() start: 00000000fec00000 size: 0000000000010000 end: 
00000000fec10000 type: 2
copy_e820_map() start: 00000000fed00000 size: 0000000000000400 end: 
00000000fed00400 type: 2
copy_e820_map() start: 00000000fed14000 size: 0000000000006000 end: 
00000000fed1a000 type: 2
copy_e820_map() start: 00000000fed1c000 size: 0000000000074000 end: 
00000000fed90000 type: 2
copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end: 
00000000fee01000 type: 2
copy_e820_map() start: 00000000ff000000 size: 0000000001000000 end: 
0000000100000000 type: 2
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fe80000 (usable)
 BIOS-e820: 000000003fe80000 - 000000003ff00000 (ACPI NVS)
 BIOS-e820: 000000003ff00000 - 0000000040000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
 BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
126MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000f65b0
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 261760) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   229376
  HighMem    229376 ->   261760
early_node_map[1] active PFN ranges
    0:        0 ->   261760
On node 0 totalpages: 261760
  DMA zone: 32 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4064 pages, LIFO batch:0
  Normal zone: 1760 pages used for memmap
  Normal zone: 223520 pages, LIFO batch:31
  HighMem zone: 253 pages used for memmap
  HighMem zone: 32131 pages, LIFO batch:7
DMI present.
Using APIC driver default
ACPI: RSDP 000F6580, 0014 (r0 PTLTD )
ACPI: RSDT 3FE8BE8D, 0044 (r1 PTLTD  Capell00  6040000  LTP        0)
ACPI: FACP 3FE92DEE, 0074 (r1 HP     NISSAN    6040000 LOHR       5A)
ACPI Warning (tbfadt-0360): Ignoring BIOS FADT r1 C-state control [20070126]
ACPI: DSDT 3FE8CA6D, 6381 (r1 HP     NISSAN    6040000 INTL 20060217)
ACPI: FACS 3FE93FC0, 0040
ACPI: APIC 3FE92E62, 0068 (r1 HP     NISSAN    6040000 LOHR       5A)
ACPI: HPET 3FE92ECA, 0038 (r1 HP     NISSAN    6040000 LOHR       5A)
ACPI: MCFG 3FE92F02, 003C (r1 HP     NISSAN    6040000 LOHR       5A)
ACPI: BOOT 3FE92FD8, 0028 (r1 PTLTD  $SBFTBL$  6040000  LTP        1)
ACPI: APIC 3FE92F70, 0068 (r1 PTLTD  	 APIC    6040000  LTP        0)
ACPI: SSDT 3FE8C85F, 020A (r1 SataRe SataAhci     1000 INTL 20060217)
ACPI: SSDT 3FE8BED1, 04F6 (r1  PmRef    CpuPm     3000 INTL 20060217)
ACPI: BIOS bug: multiple APIC/MADT found, using 0
ACPI: If "acpi_apic_instance=2" works better, notify 
linux-acpi@vger.kernel.org
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 6:14 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1 6:14 APIC version 20
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 50000000 (gap: 40000000:a0000000)
Built 1 zonelists.  Total pages: 259715
Kernel command line: initrd=initrd.img  ro quiet 
root=CDLABEL=Fedora-7-KDE-Live-i386 rootfstype=iso9660 liveimg  
BOOT_IMAGE=vmlinuz 
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c077c000 soft=c075c000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Detected 1828.816 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1028612k/1047040k available (2066k kernel code, 17704k reserved, 1092k 
data, 240k init, 129536k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
    lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
      .init : 0xc071b000 - 0xc0757000   ( 240 kB)
      .data : 0xc0604a4a - 0xc0715cb4   (1092 kB)
      .text : 0xc0400000 - 0xc0604a4a   (2066 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
Calibrating delay using timer specific routine.. 3661.33 BogoMIPS 
(lpj=1830666)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfe9fbff 00100000 00000000 00000000 
0000c1a9 00000000 00000000
monitor/mwait feature present.
using mwait in idle threads.
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU: After all inits, caps: bfe9f3ff 00100000 00000000 00002940 0000c1a9 
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
ACPI: Core revision 20070126
CPU0: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08
SMP alternatives: switching to SMP code
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c077d000 soft=c075d000
Initializing CPU#1
Calibrating delay using timer specific routine.. 3657.59 BogoMIPS 
(lpj=1828799)
CPU: After generic identify, caps: bfe9fbff 00100000 00000000 00000000 
0000c1a9 00000000 00000000
monitor/mwait feature present.
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU: After all inits, caps: bfe9f3ff 00100000 00000000 00002940 0000c1a9 
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08
Total of 2 processors activated (7318.93 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Brought up 2 CPUs
sizeof(vma)=84 bytes
sizeof(page)=32 bytes
sizeof(inode)=336 bytes
sizeof(dentry)=132 bytes
sizeof(ext3inode)=488 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=1376 bytes
migration_cost=38
Time: 14:00:13  Date: 04/26/107
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfd873, last bus=9
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
PCI quirk: region 1180-11bf claimed by ICH6 GPIO
Boot video device is 0000:01:00.0
PCI: Firmware left 0000:08:08.0 e100 interrupts enabled, disabling
PCI: Transparent bridge - 0000:00:1e.0
PCI: Bus #09 (-#0c) is hidden behind transparent bridge #08 (-#09) 
(try 'pci=assign-busses')
Please report the result to linux-kernel to fix this permanently
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEGP._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP03._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 *4 5 6 7 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 1 *3 4 5 6 7 10 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 11 12 14 15) *10
ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 *6 7 10 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 5 6 *7 10 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 *5 6 7 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 10 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.0
PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.0
PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.1
PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.1
PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.2
PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.2
PCI: Cannot allocate resource region 0 of device 0000:06:00.0
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
pnp: 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
pnp: 00:01: iomem range 0xfed14000-0xfed17fff could not be reserved
pnp: 00:01: iomem range 0xfed18000-0xfed18fff could not be reserved
pnp: 00:01: iomem range 0xfed19000-0xfed19fff could not be reserved
pnp: 00:04: iomem range 0xfed00000-0xfed003ff could not be reserved
Time: tsc clocksource has been installed.
Switched to high resolution mode on CPU 0
Switched to high resolution mode on CPU 1
PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:01:00.0
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: d0000000-d1ffffff
  PREFETCH window: c0000000-cfffffff
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.1
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.2
  IO window: disabled.
  MEM window: 54000000-540fffff
  PREFETCH window: disabled.
PCI: Bus 9, cardbus bridge: 0000:08:06.0
  IO window: 00002400-000024ff
  IO window: 00002800-000028ff
  PREFETCH window: 50000000-53ffffff
  MEM window: 58000000-5bffffff
PCI: Bridge: 0000:00:1e.0
  IO window: 2000-2fff
  MEM window: d2000000-d20fffff
  PREFETCH window: 50000000-53ffffff
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:01.0 to 64
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1c.0 to 64
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1c.1 to 64
PCI: Enabling device 0000:00:1c.2 (0100 -> 0102)
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1c.2 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
ACPI: PCI Interrupt 0000:08:06.0[A] -> GSI 18 (level, low) -> IRQ 18
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 4375k freed
Simple Boot Flag at 0x36 set to 0x1
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1180188013.036:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 65F8109C338BBD41
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
0000:00:1d.7 EHCI: BIOS handoff failed (BIOS bug ?) 01010001
PCI: Setting latency timer of device 0000:00:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:01.0:pcie00]
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
PCI: Setting latency timer of device 0000:00:1c.1 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.1:pcie00]
Allocate Port Service[0000:00:1c.1:pcie02]
PCI: Setting latency timer of device 0000:00:1c.2 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.2:pcie00]
Allocate Port Service[0000:00:1c.2:pcie02]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: SSDT 3FE8C628, 01A3 (r1  PmRef  Cpu0Ist     3000 INTL 20060217)
ACPI: SSDT 3FE8C3C7, 01DC (r1  PmRef  Cpu0Cst     3001 INTL 20060217)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: SSDT 3FE8C7CB, 0094 (r1  PmRef  Cpu1Ist     3000 INTL 20060217)
ACPI: SSDT 3FE8C5A3, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20060217)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU1] (supports 8 throttling states)
Time: hpet clocksource has been installed.
ACPI: Thermal Zone [TZ01] (50 C)
ACPI: Thermal Zone [TZ02] (27 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
agpgart: Detected an Intel 945GM Chipset.
agpgart: AGP aperture is 256M @ 0x0
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
Yenta: CardBus bridge found at 0000:08:06.0 [103c:30a5]
Yenta: Enabling burst memory read transactions
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to ISA
Yenta TI: socket 0000:08:06.0, mfunc 0x01aa1b22, devctl 0x64
Yenta: ISA IRQ mask 0x0cf8, PCI irq 18
Socket status: 30000006
Yenta: Raising subordinate bus# of parent bus (#08) from #09 to #0c
pcmcia: parent PCI bridge I/O window: 0x2000 - 0x2fff
cs: IO port probe 0x2000-0x2fff: clean.
pcmcia: parent PCI bridge Memory window: 0xd2000000 - 0xd20fffff
pcmcia: parent PCI bridge Memory window: 0x50000000 - 0x53ffffff
Clocksource tsc unstable (delta = -289445216 ns)
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
i8042.c: Detected active multiplexing controller, rev 1.1.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX0 port at 0x60,0x64 irq 12
serio: i8042 AUX1 port at 0x60,0x64 irq 12
serio: i8042 AUX2 port at 0x60,0x64 irq 12
serio: i8042 AUX3 port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
  Magic number: 7:393:31
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 240k freed
Write protecting the kernel read-only data: 820k
SCSI subsystem initialized
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 19, io base 0x00001800
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
libata version 2.20 loaded.
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.1: irq 20, io base 0x00001820
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 19, io mem 0xd2404000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 8 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001840
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 16, io base 0x00001860
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
ahci 0000:00:1f.2: version 2.1
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 20
Synaptics Touchpad, model: 1, fw: 6.2, id: 0x1a0b1, caps: 0xa04713/0x200000
input: SynPS/2 Synaptics TouchPad as /class/input/input1
input: AT Translated Set 2 keyboard as /class/input/input2
usb 5-1: new full speed USB device using uhci_hcd and address 2
usb 5-1: configuration #1 chosen from 1 choice
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0x5 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq pm led clo pio slum part 
ata1: SATA max UDMA/133 cmd 0xf883e500 ctl 0x00000000 bmdma 0x00000000 irq 20
ata2: SATA max UDMA/133 cmd 0xf883e580 ctl 0x00000000 bmdma 0x00000000 irq 20
ata3: SATA max UDMA/133 cmd 0xf883e600 ctl 0x00000000 bmdma 0x00000000 irq 20
ata4: SATA max UDMA/133 cmd 0xf883e680 ctl 0x00000000 bmdma 0x00000000 irq 20
scsi0 : ahci
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ATA-7: ST9100824AS, 7.24, max UDMA/100
ata1.00: 195371568 sectors, multi 16: LBA48 
ata1.00: configured for UDMA/100
scsi1 : ahci
ata2: SATA link down (SStatus 0 SControl 0)
scsi2 : ahci
ata3: SATA link down (SStatus 0 SControl 300)
scsi3 : ahci
ata4: SATA link down (SStatus 0 SControl 0)
scsi 0:0:0:0: Direct-Access     ATA      ST9100824AS      7.24 PQ: 0 ANSI: 5
ata_piix 0000:00:1f.1: version 2.10ac1
ACPI: PCI Interrupt 0000:00:1f.1[B] -> GSI 19 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:00:1f.1 to 64
ata5: PATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00011880 irq 14
ata6: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x00011888 irq 15
scsi4 : ata_piix
ata5.00: ATAPI, max MWDMA2
ata5.00: configured for MWDMA2
scsi5 : ata_piix
ata6: port disabled. ignoring.
scsi 4:0:0:0: CD-ROM            HL-DT-ST DVDRAM GSA-4084N KQ09 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 47x/47x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 4:0:0:0: Attached scsi CD-ROM sr0
ISO 9660 Extensions: Microsoft Joliet Level 3
Unable to load NLS charset utf8
Unable to load NLS charset utf8
ISO 9660 Extensions: RRIP_1991A
loop: loaded (max 128 devices)
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: 
dm-devel@redhat.com
squashfs: version 3.2-r2 (2007/01/15) Phillip Lougher
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
audit(1180188027.308:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  3 users, 6 roles, 1816 types, 78 bools, 1 sens, 1024 cats
security:  60 classes, 65638 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
inode_doinit_with_dentry:  no dentry for dev=dm-0 ino=475376
inode_doinit_with_dentry:  no dentry for dev=dm-0 ino=475322
inode_doinit_with_dentry:  no dentry for dev=dm-0 ino=475321
SELinux: initialized (dev loop120, type squashfs), not configured for labeling
SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1180188028.808:3): policy loaded auid=4294967295
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
scsi 0:0:0:0: Attached scsi generic sg0 type 0
sr 4:0:0:0: Attached scsi generic sg1 type 5
input: PC Speaker as /class/input/input3
SCSI device sda: 195371568 512-byte hdwr sectors (100030 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support 
DPO or FUA
SCSI device sda: 195371568 512-byte hdwr sectors (100030 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support 
DPO or FUA
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
intel_rng: FWH not detected
ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 19 (level, low) -> IRQ 20
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
ACPI: PCI Interrupt 0000:08:06.1[B] -> GSI 19 (level, low) -> IRQ 20
fw_ohci: Added fw-ohci device 0000:08:06.1, OHCI version 1.10
ACPI: PCI Interrupt 0000:08:06.2[C] -> GSI 22 (level, low) -> IRQ 21
sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
sdhci: SDHCI controller found at 0000:08:06.3 [104c:803c] (rev 0)
ACPI: PCI Interrupt 0000:08:06.3[D] -> GSI 20 (level, low) -> IRQ 22
mmc0: SDHCI at 0xd2007800 irq 22 PIO
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
iTCO_wdt: Found a ICH7-M TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
Bluetooth: HCI USB driver ver 2.9
e100: Intel(R) PRO/100 Network Driver, 3.5.17-k2-NAPI
e100: Copyright(c) 1999-2006 Intel Corporation
ACPI: PCI Interrupt 0000:08:08.0[A] -> GSI 20 (level, low) -> IRQ 22
e100: eth0: e100_probe: addr 0xd2006000, irq 22, MAC addr 00:16:D4:3D:CC:69
fw_core: created new fw device fw0 (0 config rom retries)
usbcore: registered new interface driver hci_usb
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 
0.0.21kd
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:06:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Channel 12 [2.4GHz] is Tx only -- skipping.
iwl3945: Channel 13 [2.4GHz] is Tx only -- skipping.
iwl3945: Channel 14 [2.4GHz] is Tx only -- skipping.
iwl3945: Channel 183 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 184 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 185 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 187 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 188 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 189 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 192 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 196 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 7 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 8 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 11 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 12 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 16 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 34 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 38 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 42 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 46 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 100 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 104 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 108 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 112 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 116 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 120 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 124 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 128 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 132 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 136 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 140 [5.2GHz] is Tx only -- skipping.
iwl3945: Channel 145 [5.2GHz] is Tx only -- skipping.
iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
wmaster0: Selected rate control algorithm 'simple'
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 21
PCI: Setting latency timer of device 0000:00:1b.0 to 64
floppy0: no floppy controllers found
lp: driver loaded but no devices found
sonypi: Sony Programmable I/O Controller Driver v1.26.
ACPI: AC Adapter [ACAD] (on-line)
ACPI: Battery Slot [BAT1] (battery present)
No dock devices found.
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
ACPI Error (evxfevnt-0186): Could not enable SleepButton event [20070126]
ACPI Warning (evxface-0146): Could not enable fixed event 3 [20070126]
input: Lid Switch as /class/input/input5
ACPI: Lid Switch [LID]
input: Power Button (CM) as /class/input/input6
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on dm-0, internal journal
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
audit(1180202477.613:4): audit_pid=2754 old=0 by auid=4294967295 
subj=system_u:system_r:auditd_t:s0
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.2
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
ADDRCONF(NETDEV_UP): wlan0: link is not ready
ADDRCONF(NETDEV_UP): eth0: link is not ready
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ADDRCONF(NETDEV_UP): wlan0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
eth0: no IPv6 routers present
eth0: no IPv6 routers present
ADDRCONF(NETDEV_UP): wlan0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
eth0: no IPv6 routers present
Comment 3 Matthias Saou 2007-06-05 18:42:36 EDT
Sorry, but not much can be done regarding the firmware, this seems more like a
problem with the kernel module, so reassigning.
Comment 4 Matthew 2007-06-09 11:20:15 EDT
It appears that WEP and WPA 1 don't work as well. 

I was able to get a connection by disabling all encryption.

And that was with a kernel.org 2.6.21.3 kernel patched with:
mac80211 v8
iwlwifi v0.0.24

Probably unrelated to this problem, but it looks like SELinux is (or would be if
I hadn't disabled it already) blocking knetworkmanager->wpa_supplicant communication
Comment 5 Hans de Goede 2007-06-10 07:53:22 EDT
The selinux problems are known and are being worked on, see bug 242015

But since you are running in permissive mode, those aren't the problem. The
iwl3945 in the F-7 kernel has known troubles working with wpa.

There is an F7 kernel-update candidate available here:
http://people.redhat.com/davej/kernels/Fedora/fc7/RPMS.kernel/

Which amongst other things contains various fixes to the iwl3945 driver. Please
try this kernel and report back how it works for you.

Always be carefull when testing new kernels. Use rpm -ivh to install the new
kernel besides your current one so that you can always boot back into the old
kernel.
Comment 6 Hans de Goede 2007-06-10 07:54:22 EDT
*** Bug 241968 has been marked as a duplicate of this bug. ***
Comment 7 Hans de Goede 2007-06-10 07:55:36 EDT
*** Bug 242039 has been marked as a duplicate of this bug. ***
Comment 8 Matthew 2007-06-12 02:28:42 EDT
Created attachment 156781 [details]
kernel.org 2.6.21.3 config
Comment 9 Matthew 2007-06-12 02:29:20 EDT
Using 2.6.21-1.3226 I saw no noticeable difference compared to stock install F7
kernel.

One interesting note, my custom kernel.org 2.6.21.3 w/ iwlwifi patches:
mac80211 v8
iwlwifi v0.0.24

...has different behavior.
When I enter my WPA info and try to connect my kwireless applet will flash
values for link quality, signal strength, and noise level. It looks like real
info as if it can connect but doesn't realize it and then disconnects.

Using stock and updated F7 kernels does not display this behavior.

I'll try posting my custom kernel config and try to eventually post some system
logs of knetworkmanager while I'm trying to connect.

Stock F7 kernels: 2.6.21-1.3194.fc7, newer one 2.6.21-1.3226.fc7
Comment 10 John W. Linville 2007-07-13 11:49:15 EDT
Please try the kernels from here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=10941

Do they work any better for you?
Comment 11 Matthew 2007-07-21 15:21:46 EDT
Not any better, using:

Linux version 2.6.22.1-27.fc7 (kojibuilder@xenbuilder2.fedora.redhat.com) (gcc
version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Tue Jul 17 17:13:26 EDT 2007

when I start wpa_supplicant manually here's what I get:

# /usr/sbin/wpa_supplicant -Dwext -iwlan0 -u -w -c
/etc/wpa_supplicant/wpa_supplicant.conf
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x1 -  

Once I've started that I tried using knetworkmanager again. It shows "Activation
stage: Configuring device" and goes to 28% (always) then says "Connection
Failure". (like it always did).

After I do this I get the additional output from wpa_supplicant:

ioctl[SIOCSIWSCAN]: Network is down
Failed to initiate AP scan.
ioctl[SIOCSIWSCAN]: Network is down
Failed to initiate AP scan.
ioctl[SIOCSIWSCAN]: Network is down
Failed to initiate AP scan.

When I CTRL-C to force wpa_supplicant to close I get:

CTRL-EVENT-TERMINATING - signal 2 received
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x0 - ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - rmdir[ctrl_interface]: No such file or directory


Content of wpa_supplicant.conf:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

network={
	ssid="any"
	key_mgmt=NONE
}

I was able to get it to work manually.
1. Edit wpa_supplicant.conf file to be:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

network={
	ssid="MYAPESSID"
	psk="MYAPPSK"
	priority=5
}

network={
	ssid="any"
	key_mgmt=NONE
}

2. Run command:
/sbin/iwconfig wlan0 essid "MYAPESSID"

3. Get ip address:
/sbin/dhclient wlan0
Comment 12 Tim Niemueller 2007-07-21 15:35:34 EDT
I'm using kernel 2.6.22.1-29.fc7 with the new firmware from
http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-2.14.4.tgz
and it works.

I'm using NetworkManager with a WPA/WPA2. The connection is stable (I have used
it for hours and transferred several GBs without a problem). I'm happy again.
Only suspend/resume remains broken.
Comment 13 Matthew 2007-07-21 15:44:16 EDT
(In reply to comment #12)

Tim, can you try knetworkmanager as well and see if that works the same for you?
Comment 14 Tim Niemueller 2007-07-21 17:31:51 EDT
(In reply to comment #13)

Sorry, not at this time. I have no KDE installed and currently not the time. Do
you use the new firmware? Have you tried nm-applet?
Comment 15 Hansen Tanjung 2007-07-23 06:47:09 EDT
Mine is working too, kernel-2.6.22.1-27.fc7 with new firmware from Intel. I
think iwlwifi-firmware.noarch must be update too for the working Intel 3945ABG.
The old iwlwifi-firmware is 2.14.3, the new one is 2.14.4.

Matthew, knetworkmanager is frontend for NetworkManager, so I think working too
with new firmware.
Comment 16 Hansen Tanjung 2007-07-23 06:53:08 EDT
Find this: http://koji.fedoraproject.org/koji/buildinfo?buildID=11168
Seems like need pushing this iwlwifi to update state :-)
Comment 17 John W. Linville 2007-07-23 14:38:25 EDT
The iwlwifi-firmware package is available in the update repository now.  
Please updated it and try again.  Does that work?
Comment 18 Steven Stern 2007-07-23 19:21:59 EDT
Installed firmware. Didn't work after reboot; required a power cycle. But...
It's now working.
Comment 19 Russell Harrison 2007-07-31 16:29:43 EDT
I am still unable to connect to a hidden ssid with WPA --> PEAP --> TKIP

I'm using the latest firmware posted July 27th.
Comment 20 Matthew 2007-08-01 00:24:28 EDT
Using nm-applet I was able to get it almost all the way there. I turned on
broadcast on my AP. Entered my information into nm-applet. Then my signal
indicators jumped up on kwireless. Then I just did "/sbin/dhclient wlan0" and it
worked.

knetworkmanager and nm-applet still show me as unconnected.
Is there some kind of instrumented build for these things with verbose messages
that I could submit?

I tried switching broadcast back off, rebooted and it wouldn't connect at all
with nm-applet. Turned broadcast back on, rebooted, and it got all the way up
associated. I just had to /sbin/dhclient wlan0 and then I was on (though
nm-applet still didn't show me as connected)

So it would seem that something different happens with broadcast enabled.

FYI, I have an ***HP Pavilion DV5000*** Sept. 2006
It might be helpful if other people mentioned what model laptops they had.
Comment 21 John W. Linville 2007-08-02 15:31:21 EDT
I'm going to close this issue as CURRENTRELEASE as the basic driver problem 
seems to be fixed.

nm-applet and/or knetworkmanager probably continue to show you as unconnected 
because you went behind their backs with the "dhclient wlan0".  BTW, are you 
running them both at the same time?  I don't know if that is supposed to work 
or not.  Running them one at a time, if you still don't get a connection then 
you might open a new bug for that.

Re: hidden SSID -- that is a known problem, but it hasn't totally been 
sorted-out whether it is a NetworkManager/wpa_supplicant issue or a kernel 
issue.  I am fairly certain there is a bug open against NetworkManager for 
that (don't have it ATM, you'll have to search).

Can you downgrade security to WEP (or open) on your access point long enough 
to see if you are able to associate with a hidden SSID using just iwconfig?

   killall dhclient
   ifconfig wlan0 up
   iwlist wlan0 scan
   iwconfig wlan0 key <WEP key> # if you are using WEP
   iwconfig wlan0 essid <hidden SSID>
   dhclient wlan0

Does that work?  If not, please open a new bug "can connect to hidden SSID w/ 
mac80211-based driver" and post the output of "iwconfig wlan0" in it.

If it does work, find that existing NM bug and add a comment to that.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.